import {
  AnalyticalScope,
  Behavior,
  Control,
  NotNull
} from "@webbpm/base-package";

@AnalyticalScope(Control)
export class FormField extends Behavior {

  @NotNull()
  public name: string;

  public getValue(): any {
    return this.context.getValueForForm();
  }
}
